.PHONY: os stow deps

OS_NAME := $(shell uname -s | tr A-Z a-z)

stow:
	mkdir -p ~/.gnupg && chmod 0700 ~/.gnupg
	stow -t ~ */
	dconf load / < gnome/.local/share/custom-gconf.conf \

deps:
	@echo "Installing software for ${OS_NAME} platform"
	@if [ $(OS_NAME) = "darwin" ]; then\
		cd macos/.config/homebrew && brew bundle\
	fi
	@if [ $(OS_NAME) = "linux" ]; then\
		@echo "Not macos"\
	endif

os:
	@echo $(OS_NAME)
